6.0.0-git
2019-04-25

[#8556] No longer possible to use different charsets for headers
Summary No longer possible to use different charsets for headers
Queue Horde Framework Packages
Queue Version Git master
Type Enhancement
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2009-09-06 (3518 days ago)
Due
Updated 2009-11-30 (3433 days ago)
Assigned 2009-09-28 (3496 days ago)
Resolved 2009-11-15 (3448 days ago)
Milestone
Patch No

History
2009-11-30 09:34:38 Jan Schneider Comment #7 Reply to this comment
Makes sense.
2009-11-30 06:58:05 Michael Slusarz Comment #6 Reply to this comment
Hm, not quite. I don't think specifying a charset for all headers 
different from the body is a big improvement. It was possible to 
specify different charsets for individual headers.
This seems like overkill to me.  In the rare case you want to specify 
per-header encoding different than the default, you can manually MIME 
encode that particular header in the desired charset before adding it 
to the Headers object (since if there are no non-ASCII characters in 
the value, the code won't try to auto-encode).
2009-11-15 11:53:17 Jan Schneider Comment #5 Reply to this comment
Hm, not quite. I don't think specifying a charset for all headers 
different from the body is a big improvement. It was possible to 
specify different charsets for individual headers.
2009-11-15 03:00:22 Michael Slusarz State ⇒ Resolved
Priority ⇒ 2. Medium
 
2009-11-05 12:57:20 Jan Schneider Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
 
2009-09-28 09:43:30 Jan Schneider Comment #3 Reply to this comment
It was possible, though it wasn't used anywhere in application code. 
From a library standpoint, I don't see why we shouldn't allow it 
though.
2009-09-28 04:14:41 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
This wasn't possible in the previous (Horde 3) version either.  And if 
it was, this was not by design.
2009-09-06 16:37:57 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ No longer possible to use different charsets for headers
Queue ⇒ Horde Framework Packages
Assigned to Michael Slusarz
Milestone ⇒
Patch ⇒ No
Reply to this comment
Because message headers are automatically mime-encoded now in 
Horde_Mime_Part::send(), using the charset of the message part, it's 
no longer possible to used different charsets for different headers, 
or even a different charset for a header than for the message body.

Saved Queries